package com.kakao.sdk.partner.friend.util

import android.content.Context
import android.util.TypedValue
import com.kakao.sdk.v2.partner.friend.R
import kotlin.math.abs

fun getDefaultProfileImage(id: Int?, context: Context): TypedValue {
    val value = TypedValue()
    when (abs(id?.rem(3) ?: 0)) {
        0 -> context.theme.resolveAttribute(
            R.attr.default_profile_image1,
            value,
            true
        )
        1 -> context.theme.resolveAttribute(
            R.attr.default_profile_image2,
            value,
            true
        )
        2 -> context.theme.resolveAttribute(
            R.attr.default_profile_image3,
            value,
            true
        )
    }
    return value
}